<?php
/**
 * Pootle page builder global variables
 * @author pootlepress
 * @since 0.1.0
 */

global
	$pootlepb_content_block_styling_fields,
	$pootlepb_row_styling_fields,
	$pootlepb_font,
	$pootlepb_ui_i18n,
	$pootlepb_ui_js_deps,
	$pootlepb_color_i18n,
	$pootlepb_color_deps,
	$pootlepb_content_block_tabs,
	$pootlepb_row_settings_tabs,
	$ppbpro_addons_data,
	$pootlepb_modules,
	$pootlepb_gradient_css;

/**
 * Content block styling fields
 * @since 0.1.0
 */
$pootlepb_content_block_styling_fields = array(
	'text-color'       => array(
		'name' => 'Text color',
		'type' => 'color',
		'priority' => 1,
		'css'  => 'color',
		'tab' => 'style',
	),
	'background-image' => array(
		'name' => 'Background Image',
		'type' => 'upload',
		'priority' => 2,
		'css'  => 'background-image:url(%s);',
		'tab' => 'style',
	),
	'background-color' => array(
		'name' => 'Background color',
		'type' => 'color',
		'priority' => 3,
		'css'  => 'background-color',
		'tab' => 'style',
	),
	'background-transparency' => array(
		'name' => 'Background color transparency',
		'type' => 'slider',
		'min'  => '0',
		'max'  => '1',
		'step' => '0.05',
		'priority' => 3,
		'tab' => 'style',
	),
	'padding-mobile'          => array(
		'name' => 'Mobile behaviour',
		'type' => 'select',
		'options' => array(
			''  => 'Remove margin/padding',
			'1' => 'Keep  margin/padding',
			'2' => 'Center content block',
		),
		'priority' => 4,
		'tab' => 'style',
	),
	'border'           => array(
		'name' => 'Border',
		'type' => 'border',
		'priority' => 5,
		'css'  => 'border',
		'tab' => 'style',
	),
	'padding'          => array(
		'name' => 'Padding',
		'type' => 'number',
		'priority' => 6,
		'min'  => '0',
		'max'  => '250',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'padding',
		'tab' => 'style',
	),
	'margin-top'          => array(
		'name' => 'Top Margin',
		'type' => 'number',
		'priority' => 7,
		'min'  => '0',
		'max'  => '700',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'margin-top',
		'tab' => 'style',
	),
	'margin-bottom'          => array(
		'name' => 'Bottom Margin',
		'type' => 'number',
		'priority' => 8,
		'min'  => '0',
		'max'  => '700',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'margin-bottom',
		'tab' => 'style',
	),
	'margin-left'          => array(
		'name' => 'Left Margin',
		'type' => 'number',
		'priority' => 9,
		'min'  => '0',
		'max'  => '700',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'margin-left',
		'tab' => 'style',
	),
	'width'          => array(
		'name' => 'Width',
		'type' => 'number',
		'priority' => 10,
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'max-width',
		'tab' => 'style',
	),
	'rounded-corners'  => array(
		'name' => 'Rounded corners',
		'type' => 'number',
		'priority' => 11,
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
		'unit' => 'px',
		'css'  => 'border-radius',
		'tab' => 'style',
	),
	'inline-css'       => array(
		'name'     => 'Inline CSS styles',
		'type'     => 'textarea',
		'priority' => 12,
		'css'      => '',
		'tab' => 'advanced',
	),
	'class'            => array(
		'name'     => 'CSS Class',
		'type'     => 'text',
		'priority' => 13,
		'css'      => '',
		'tab' => 'advanced',
	),
);

/**
 * Row styling fields
 * @since 0.1.0
 */
$pootlepb_row_styling_fields = array(
	//Layout
	'full_width' => array (
		'name' => 'Row Layout',
		'type' => 'select',
		'options' => array(
			'' => 'Standard',
			'1'	=> 'Full width',
			'2'	=> 'Full width content',
		),
		'tab' => 'layout',
		'priority' => 1,
	),
	'full_height' => array (
		'name' => 'Make row go full height',
		'type' => 'checkbox',
		'tab' => 'layout',
		'priority' => 1.06,
	),
	'accordion'              => array(
		'name' => 'Make accordion',
		'type' => 'checkbox',
		'help-text' => 'Keeps the row hidden by default with an icon above it to show the row.',
		'tab' => 'layout',
		'priority' => 1.15,
	),

	'accordion_sec_wrap' => array(
		'name' => '<div class="accordion_section" style="display: none">',
		'tab' => 'layout',
		'type' => 'html',
		'priority' => 1.24,
	),

	'accordion_text' => array(
		'name' => __( 'Accordion text', 'vantage' ),
		'tab' => 'layout',
		'type' => 'text',
		'help-text' => 'Text displayed above accordion open icon.',
		'priority' => 1.33,
	),

	'accordion_text_color' => array(
		'name' => __( 'Accordion text Color', 'vantage' ),
		'tab' => 'layout',
		'type' => 'color',
		'priority' => 1.42,
	),
	'accordion_sec_wrap_close' => array(
		'name' => '</div>',
		'tab' => 'layout',
		'type' => 'html',
		'priority' => 1.6,
	),
	'match_col_hi'              => array(
		'name' => 'Make columns the same height',
		'type' => 'checkbox',
		'tab' => 'layout',
		'help-text' => 'Requires only one content block to be set in each column. Will not preview in live editor but it will work once published.',
		'priority' => 2,
	),
	'animate_cols' => array(
		'name' => __( 'Row animation', 'vantage' ),
		'tab' => 'layout',
		'type' => 'select',
		'priority' => 2.5,
		'options' => array(
			'' => 'None',
			'FadeInLeft'	=> 'Fade In Left',
			'FadeInRight'	=> 'Fade In Right',
			'FadeInUp'	=> 'Fade In Up',
			'FadeInDown'	=> 'Fade In Down',
		),
		'default' => '1',
	),
	'row_height'              => array(
		'name'      => __( 'Minimum Row Height', 'ppb-panels' ),
		'unit' => 'px',
		'type'      => 'number',
		'tab' => 'layout',
		'priority' => 3,
		'default'   => '',
		'help-text' => 'Minimum height row should have even when content is less. With more content it will stretch to contain all content and this setting will have no effect.',
	),
	'hide_row'                => array(
		'name' => 'Hide row',
		'type' => 'checkbox',
		'tab' => 'layout',
		'priority' => 4,
	),
	'margin_top'           => array(
		'name' => 'Row Top Margin',
		'unit' => 'px',
		'type' => 'number',
		'tab' => 'layout',
		'priority' => 5,
	),
	'margin_bottom'           => array(
		'name' => 'Row Bottom Margin',
		'unit' => 'px',
		'type'      => 'number',
		'tab' => 'layout',
		'priority' => 6,
	),
	'col_gutter' => array(
		'name' => __( 'Gutters', 'vantage' ),
		'tab' => 'layout',
		'type' => 'select',
		'priority' => 7,
		'options' => array(
			'0' => 'None',
			'0.5' => 'Small',
			'1' => 'Medium',
			'2' => 'Large',
			'4' => 'Extra large',
		),
		'default' => '1',
	),

	//Background
	'background_toggle' => array(
		'name' => __( 'Set Background', 'vantage' ),
		'tab' => 'background',
		'type' => 'select',
		'priority' => 1,
		'options' => array(
			'' => 'Please choose...',
			'.bg_color' => 'Background color',
			'.bg_grad'  => 'Background Gradient',
			'.bg_image' => 'Background image',
			'.bg_video' => 'Background video',
		),
		'default' => '',
	),

// Color wrap
	'bg_color_wrap' => array(
		'name' => '<div class="bg_section bg_color">',
		'tab' => 'background',
		'type' => 'html',
		'priority' => 2,
	),

	'background' => array(
		'name' => __( 'Background Color', 'vantage' ),
		'tab' => 'background',
		'type' => 'color',
		'priority' => 2.5,
	),
// Gradient wrap
	'bg_grad_wrap' => array(
		'name' => '</div><div class="bg_section bg_grad">',
		'tab' => 'background',
		'type' => 'html',
		'priority' => 2.77,
	),

	'bg_grad_prevu' => array(
		'name' =>
			'<div class="field field_type_select"><label>Gradient Presets</label><span>' .
			'<select id="row_grad_preset">' . <<<OPTIONS
				<option value="" selected="selected">Choose a preset...</option>
				<option value="#f7ff00,#db36a4">Alihossein</option>
				<option value="#1A2980,#26D0CE">Aqua</option>
				<option value="#AA076B,#61045F">Aubergine</option>
				<option value="#DAD299,#B0DAB9">Autumn</option>
				<option value="#00C9FF,#92FE9D">Back To Earth</option>
				<option value="#ECE9E6,#FFFFFF">Clouds</option>
				<option value="#f857a6,#ff5858">Day Tripper</option>
				<option value="#2C3E50,#FD746C">Dusk</option>
				<option value="#43cea2,#185a9d">Endless River</option>
				<option value="#000428,#004e92">Frost</option>
				<option value="#fd746c,#ff9068">Haikus</option>
				<option value="#42275a,#734b6d">Mauve</option>
				<option value="#141E30,#243B55">Royal</option>
				<option value="#1CD8D2,#93EDC7">Sea Blizz</option>
				<option value="#fe8c00,#f83600">SoundCloud</option>
				<option value="#FF512F,#F09819">Sunrise</option>
OPTIONS
			. '</select></span></div>' .
			'<canvas style="display: none;margin:auto;" width="160" height="90" class="bg-grad-prevu"></canvas>',
		'tab' =>
			'background',
		'type' =>
			'html',
		'priority' =>
			2.779,
	),

	'grad_type' => array(
		'name' => __( 'Gradient Type', 'vantage' ),
		'tab' => 'background',
		'type' => 'select',
		'priority' => 3.13,
		'options' => array(
			'' => 'Linear',
			'radial' => 'Radial',
			'slant'  => 'Slanting',
		),
		'default' => '',
	),
	'grad_col1' => array(
		'name' => __( 'First Color', 'vantage' ),
		'tab' => 'background',
		'type' => 'color',
		'priority' => 3.22,
	),

	'grad_col2' => array(
		'name' => __( 'Second Color', 'vantage' ),
		'tab' => 'background',
		'type' => 'color',
		'priority' => 3.31,
	),

	'grad_opacity' => array(
		'name' => 'Gradient transparency',
		'min' => '0',
		'max' => '1',
		'step' => '0.02',
		'default' => '0.88',
		'tab' => 'background',
		'type' => 'slider',
		'priority' => 3.4,
	),

	'grad_image' => array(
		'name' => __( 'Image under gradient', 'vantage' ),
		'tab' => 'background',
		'type' => 'upload',
		'priority' => 3.49,
	),
// Image wrap
	'bg_image_wrap' => array(
		'name' => '</div><div class="bg_section bg_image">',
		'tab' => 'background',
		'type' => 'html',
		'priority' => 4.99,
	),

	'background_image' => array(
		'name' => __( 'Background Image', 'vantage' ),
		'tab' => 'background',
		'type' => 'upload',
		'priority' => 5,
	),

	'bg_overlay_opacity' => array(
		'name' => 'Overlay color transparency',
		'min' => '0',
		'max' => '1',
		'step' => '0.02',
		'default' => '0.5',
		'tab' => 'background',
		'type' => 'slider',
		'priority' => 10,
	),

	'background_parallax' => array(
		'name' => __( 'Row effect (e.g parallax)', 'vantage' ),
		'tab' => 'background',
		'type' => 'select',
		'options' => array(
			''	=> 'None',
			'1'	=> 'Parallax',
			'2'	=> 'Fixed parallax',
			'3'	=> 'Ken burns',
		),
		'priority' => 7,
	),
	'background_image_size' => array(
		'name' => __( 'Background Image Size', 'vantage' ),
		'tab' => 'background',
		'type' => 'select',
		'priority' => 8,
		'options' => array(
			''          => 'No setting',
			'100% auto' => '100% width',
			'cover'     => 'Cover',
		),
		'default' => 'cover',
	),
	'bg_overlay_color' => array(
		'name' => 'Overlay color on image',
		'tab' => 'background',
		'type' => 'color',
		'priority' => 9,
	),
	'bg_overlay_opacity' => array(
		'name' => 'Overlay color transparency',
		'min' => '0',
		'max' => '1',
		'step' => '0.02',
		'default' => '0.5',
		'tab' => 'background',
		'type' => 'slider',
		'priority' => 10,
	),

	'bg_video_wrap' => array(
		'name' => '</div><div class="bg_section bg_video">',
		'tab' => 'background',
		'type' => 'html',
		'priority' => 11,
	),

	'bg_video' => array(
		'name' => __( 'Background Video', 'vantage' ),
		'tab' => 'background',
		'type' => 'uploadVid',
		'help-text' => "Background videos autoplay & therefore only work on desktop browsers",
		'priority' => 12,
	),
	'bg_mobile_image' => array(
		'name' => __( 'Responsive Image', 'vantage' ),
		'tab' => 'background',
		'type' => 'upload',
		'priority' => 13,
		'help-text' => "Select an image to display instead of the background video for mobile devices",
	),

	'bg_wrap_close' => array(
		'name' => '</div>',
		'tab' => 'background',
		'type' => 'html',
		'priority' => 14,
	),

	'style' => array(
		'name' => __( 'Inline CSS Styles', 'ppb-panels' ),
		'tab' => 'advanced',
		'type' => 'textarea',
		'priority' => 1,
	),
	'class' => array(
		'name' => __( 'Row CSS Class', 'ppb-panels' ),
		'tab' => 'advanced',
		'type' => 'text',
		'priority' => 2,
	),
	'col_class' => array(
		'name'    => __( 'Column CSS Class', 'ppb-panels' ),
		'tab' => 'advanced',
		'type'    => 'text',
		'priority' => 3,
	),
);

/**
 * Fonts to use in pootlepage builder settings
 *
 * @var array Fonts
 * @since 0.1.0
 */
$pootlepb_font = array(
	'Arial, sans-serif'                                                 => 'Arial',
	'Verdana, Geneva, sans-serif'                                       => 'Verdana',
	'"Trebuchet MS", Tahoma, sans-serif'                                => 'Trebuchet',
	'Georgia, serif'                                                    => 'Georgia',
	'"Times New Roman", serif'                                          => 'Times New Roman',
	'Tahoma, Geneva, Verdana, sans-serif'                               => 'Tahoma',
	'Palatino, "Palatino Linotype", serif'                              => 'Palatino',
	'"Helvetica Neue", Helvetica, sans-serif'                           => 'Helvetica',
	'Calibri, Candara, Segoe, Optima, sans-serif'                       => 'Calibri',
	'"Myriad Pro", Myriad, sans-serif'                                  => 'Myriad Pro',
	'"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", sans-serif' => 'Lucida',
	'"Arial Black", sans-serif'                                         => 'Arial Black',
	'"Gill Sans", "Gill Sans MT", Calibri, sans-serif'                  => 'Gill Sans *',
	'Geneva, Tahoma, Verdana, sans-serif'                               => 'Geneva *',
	'Impact, Charcoal, sans-serif'                                      => 'Impact',
	'Courier, "Courier New", monospace'                                 => 'Courier',
	'"Century Gothic", sans-serif'                                      => 'Century Gothic',
	''                                                                  => '-- Google WebFonts --',
	'ABeeZee'                                                           => 'ABeeZee',
	'Abel'                                                              => 'Abel',
	'Abril Fatface'                                                     => 'Abril Fatface',
	'Aclonica'                                                          => 'Aclonica',
	'Acme'                                                              => 'Acme',
	'Actor'                                                             => 'Actor',
	'Adamina'                                                           => 'Adamina',
	'Advent Pro'                                                        => 'Advent Pro',
	'Aguafina Script'                                                   => 'Aguafina Script',
	'Akronim'                                                           => 'Akronim',
	'Aladin'                                                            => 'Aladin',
	'Aldrich'                                                           => 'Aldrich',
	'Alef'                                                              => 'Alef',
	'Alegreya'                                                          => 'Alegreya',
	'Alegreya SC'                                                       => 'Alegreya SC',
	'Alegreya Sans'                                                     => 'Alegreya Sans',
	'Alegreya Sans SC'                                                  => 'Alegreya Sans SC',
	'Alex Brush'                                                        => 'Alex Brush',
	'Alfa Slab One'                                                     => 'Alfa Slab One',
	'Alice'                                                             => 'Alice',
	'Alike'                                                             => 'Alike',
	'Alike Angular'                                                     => 'Alike Angular',
	'Allan'                                                             => 'Allan',
	'Allerta'                                                           => 'Allerta',
	'Allerta Stencil'                                                   => 'Allerta Stencil',
	'Allura'                                                            => 'Allura',
	'Almendra'                                                          => 'Almendra',
	'Almendra Display'                                                  => 'Almendra Display',
	'Almendra SC'                                                       => 'Almendra SC',
	'Amarante'                                                          => 'Amarante',
	'Amaranth'                                                          => 'Amaranth',
	'Amatic SC'                                                         => 'Amatic SC',
	'Amethysta'                                                         => 'Amethysta',
	'Anaheim'                                                           => 'Anaheim',
	'Andada'                                                            => 'Andada',
	'Andika'                                                            => 'Andika',
	'Angkor'                                                            => 'Angkor',
	'Annie Use Your Telescope'                                          => 'Annie Use Your Telescope',
	'Anonymous Pro'                                                     => 'Anonymous Pro',
	'Antic'                                                             => 'Antic',
	'Antic Didone'                                                      => 'Antic Didone',
	'Antic Slab'                                                        => 'Antic Slab',
	'Anton'                                                             => 'Anton',
	'Arapey'                                                            => 'Arapey',
	'Arbutus'                                                           => 'Arbutus',
	'Arbutus Slab'                                                      => 'Arbutus Slab',
	'Architects Daughter'                                               => 'Architects Daughter',
	'Archivo Black'                                                     => 'Archivo Black',
	'Archivo Narrow'                                                    => 'Archivo Narrow',
	'Arimo'                                                             => 'Arimo',
	'Arizonia'                                                          => 'Arizonia',
	'Armata'                                                            => 'Armata',
	'Artifika'                                                          => 'Artifika',
	'Arvo'                                                              => 'Arvo',
	'Asap'                                                              => 'Asap',
	'Asset'                                                             => 'Asset',
	'Astloch'                                                           => 'Astloch',
	'Asul'                                                              => 'Asul',
	'Atomic Age'                                                        => 'Atomic Age',
	'Aubrey'                                                            => 'Aubrey',
	'Audiowide'                                                         => 'Audiowide',
	'Autour One'                                                        => 'Autour One',
	'Average'                                                           => 'Average',
	'Average Sans'                                                      => 'Average Sans',
	'Averia Gruesa Libre'                                               => 'Averia Gruesa Libre',
	'Averia Libre'                                                      => 'Averia Libre',
	'Averia Sans Libre'                                                 => 'Averia Sans Libre',
	'Averia Serif Libre'                                                => 'Averia Serif Libre',
	'Bad Script'                                                        => 'Bad Script',
	'Balthazar'                                                         => 'Balthazar',
	'Bangers'                                                           => 'Bangers',
	'Basic'                                                             => 'Basic',
	'Battambang'                                                        => 'Battambang',
	'Baumans'                                                           => 'Baumans',
	'Bayon'                                                             => 'Bayon',
	'Belgrano'                                                          => 'Belgrano',
	'Belleza'                                                           => 'Belleza',
	'BenchNine'                                                         => 'BenchNine',
	'Bentham'                                                           => 'Bentham',
	'Berkshire Swash'                                                   => 'Berkshire Swash',
	'Bevan'                                                             => 'Bevan',
	'Bigelow Rules'                                                     => 'Bigelow Rules',
	'Bigshot One'                                                       => 'Bigshot One',
	'Bilbo'                                                             => 'Bilbo',
	'Bilbo Swash Caps'                                                  => 'Bilbo Swash Caps',
	'Bitter'                                                            => 'Bitter',
	'Black Ops One'                                                     => 'Black Ops One',
	'Bokor'                                                             => 'Bokor',
	'Bonbon'                                                            => 'Bonbon',
	'Boogaloo'                                                          => 'Boogaloo',
	'Bowlby One'                                                        => 'Bowlby One',
	'Bowlby One SC'                                                     => 'Bowlby One SC',
	'Brawler'                                                           => 'Brawler',
	'Bree Serif'                                                        => 'Bree Serif',
	'Bubblegum Sans'                                                    => 'Bubblegum Sans',
	'Bubbler One'                                                       => 'Bubbler One',
	'Buda'                                                              => 'Buda',
	'Buenard'                                                           => 'Buenard',
	'Butcherman'                                                        => 'Butcherman',
	'Butterfly Kids'                                                    => 'Butterfly Kids',
	'Cabin'                                                             => 'Cabin',
	'Cabin Condensed'                                                   => 'Cabin Condensed',
	'Cabin Sketch'                                                      => 'Cabin Sketch',
	'Caesar Dressing'                                                   => 'Caesar Dressing',
	'Cagliostro'                                                        => 'Cagliostro',
	'Calligraffitti'                                                    => 'Calligraffitti',
	'Cambo'                                                             => 'Cambo',
	'Candal'                                                            => 'Candal',
	'Cantarell'                                                         => 'Cantarell',
	'Cantata One'                                                       => 'Cantata One',
	'Cantora One'                                                       => 'Cantora One',
	'Capriola'                                                          => 'Capriola',
	'Cardo'                                                             => 'Cardo',
	'Carme'                                                             => 'Carme',
	'Carrois Gothic'                                                    => 'Carrois Gothic',
	'Carrois Gothic SC'                                                 => 'Carrois Gothic SC',
	'Carter One'                                                        => 'Carter One',
	'Caudex'                                                            => 'Caudex',
	'Cedarville Cursive'                                                => 'Cedarville Cursive',
	'Ceviche One'                                                       => 'Ceviche One',
	'Changa One'                                                        => 'Changa One',
	'Chango'                                                            => 'Chango',
	'Chau Philomene One'                                                => 'Chau Philomene One',
	'Chela One'                                                         => 'Chela One',
	'Chelsea Market'                                                    => 'Chelsea Market',
	'Chenla'                                                            => 'Chenla',
	'Cherry Cream Soda'                                                 => 'Cherry Cream Soda',
	'Cherry Swash'                                                      => 'Cherry Swash',
	'Chewy'                                                             => 'Chewy',
	'Chicle'                                                            => 'Chicle',
	'Chivo'                                                             => 'Chivo',
	'Cinzel'                                                            => 'Cinzel',
	'Cinzel Decorative'                                                 => 'Cinzel Decorative',
	'Clicker Script'                                                    => 'Clicker Script',
	'Coda'                                                              => 'Coda',
	'Coda Caption'                                                      => 'Coda Caption',
	'Codystar'                                                          => 'Codystar',
	'Combo'                                                             => 'Combo',
	'Comfortaa'                                                         => 'Comfortaa',
	'Coming Soon'                                                       => 'Coming Soon',
	'Concert One'                                                       => 'Concert One',
	'Condiment'                                                         => 'Condiment',
	'Content'                                                           => 'Content',
	'Contrail One'                                                      => 'Contrail One',
	'Convergence'                                                       => 'Convergence',
	'Cookie'                                                            => 'Cookie',
	'Copse'                                                             => 'Copse',
	'Corben'                                                            => 'Corben',
	'Courgette'                                                         => 'Courgette',
	'Cousine'                                                           => 'Cousine',
	'Coustard'                                                          => 'Coustard',
	'Covered By Your Grace'                                             => 'Covered By Your Grace',
	'Crafty Girls'                                                      => 'Crafty Girls',
	'Creepster'                                                         => 'Creepster',
	'Crete Round'                                                       => 'Crete Round',
	'Crimson Text'                                                      => 'Crimson Text',
	'Croissant One'                                                     => 'Croissant One',
	'Crushed'                                                           => 'Crushed',
	'Cuprum'                                                            => 'Cuprum',
	'Cutive'                                                            => 'Cutive',
	'Cutive Mono'                                                       => 'Cutive Mono',
	'Damion'                                                            => 'Damion',
	'Dancing Script'                                                    => 'Dancing Script',
	'Dangrek'                                                           => 'Dangrek',
	'Dawning of a New Day'                                              => 'Dawning of a New Day',
	'Days One'                                                          => 'Days One',
	'Delius'                                                            => 'Delius',
	'Delius Swash Caps'                                                 => 'Delius Swash Caps',
	'Delius Unicase'                                                    => 'Delius Unicase',
	'Della Respira'                                                     => 'Della Respira',
	'Denk One'                                                          => 'Denk One',
	'Devonshire'                                                        => 'Devonshire',
	'Didact Gothic'                                                     => 'Didact Gothic',
	'Diplomata'                                                         => 'Diplomata',
	'Diplomata SC'                                                      => 'Diplomata SC',
	'Domine'                                                            => 'Domine',
	'Donegal One'                                                       => 'Donegal One',
	'Doppio One'                                                        => 'Doppio One',
	'Dorsa'                                                             => 'Dorsa',
	'Dosis'                                                             => 'Dosis',
	'Dr Sugiyama'                                                       => 'Dr Sugiyama',
	'Droid Sans'                                                        => 'Droid Sans',
	'Droid Sans Mono'                                                   => 'Droid Sans Mono',
	'Droid Serif'                                                       => 'Droid Serif',
	'Duru Sans'                                                         => 'Duru Sans',
	'Dynalight'                                                         => 'Dynalight',
	'EB Garamond'                                                       => 'EB Garamond',
	'Eagle Lake'                                                        => 'Eagle Lake',
	'Eater'                                                             => 'Eater',
	'Economica'                                                         => 'Economica',
	'Electrolize'                                                       => 'Electrolize',
	'Elsie'                                                             => 'Elsie',
	'Elsie Swash Caps'                                                  => 'Elsie Swash Caps',
	'Emblema One'                                                       => 'Emblema One',
	'Emilys Candy'                                                      => 'Emilys Candy',
	'Engagement'                                                        => 'Engagement',
	'Englebert'                                                         => 'Englebert',
	'Enriqueta'                                                         => 'Enriqueta',
	'Erica One'                                                         => 'Erica One',
	'Esteban'                                                           => 'Esteban',
	'Euphoria Script'                                                   => 'Euphoria Script',
	'Ewert'                                                             => 'Ewert',
	'Exo'                                                               => 'Exo',
	'Exo 2'                                                             => 'Exo 2',
	'Expletus Sans'                                                     => 'Expletus Sans',
	'Fanwood Text'                                                      => 'Fanwood Text',
	'Fascinate'                                                         => 'Fascinate',
	'Fascinate Inline'                                                  => 'Fascinate Inline',
	'Faster One'                                                        => 'Faster One',
	'Fasthand'                                                          => 'Fasthand',
	'Fauna One'                                                         => 'Fauna One',
	'Federant'                                                          => 'Federant',
	'Federo'                                                            => 'Federo',
	'Felipa'                                                            => 'Felipa',
	'Fenix'                                                             => 'Fenix',
	'Finger Paint'                                                      => 'Finger Paint',
	'Fjalla One'                                                        => 'Fjalla One',
	'Fjord One'                                                         => 'Fjord One',
	'Flamenco'                                                          => 'Flamenco',
	'Flavors'                                                           => 'Flavors',
	'Fondamento'                                                        => 'Fondamento',
	'Fontdiner Swanky'                                                  => 'Fontdiner Swanky',
	'Forum'                                                             => 'Forum',
	'Francois One'                                                      => 'Francois One',
	'Freckle Face'                                                      => 'Freckle Face',
	'Fredericka the Great'                                              => 'Fredericka the Great',
	'Fredoka One'                                                       => 'Fredoka One',
	'Freehand'                                                          => 'Freehand',
	'Fresca'                                                            => 'Fresca',
	'Frijole'                                                           => 'Frijole',
	'Fruktur'                                                           => 'Fruktur',
	'Fugaz One'                                                         => 'Fugaz One',
	'GFS Didot'                                                         => 'GFS Didot',
	'GFS Neohellenic'                                                   => 'GFS Neohellenic',
	'Gabriela'                                                          => 'Gabriela',
	'Gafata'                                                            => 'Gafata',
	'Galdeano'                                                          => 'Galdeano',
	'Galindo'                                                           => 'Galindo',
	'Gentium Basic'                                                     => 'Gentium Basic',
	'Gentium Book Basic'                                                => 'Gentium Book Basic',
	'Geo'                                                               => 'Geo',
	'Geostar'                                                           => 'Geostar',
	'Geostar Fill'                                                      => 'Geostar Fill',
	'Germania One'                                                      => 'Germania One',
	'Gilda Display'                                                     => 'Gilda Display',
	'Give You Glory'                                                    => 'Give You Glory',
	'Glass Antiqua'                                                     => 'Glass Antiqua',
	'Glegoo'                                                            => 'Glegoo',
	'Gloria Hallelujah'                                                 => 'Gloria Hallelujah',
	'Goblin One'                                                        => 'Goblin One',
	'Gochi Hand'                                                        => 'Gochi Hand',
	'Gorditas'                                                          => 'Gorditas',
	'Goudy Bookletter 1911'                                             => 'Goudy Bookletter 1911',
	'Graduate'                                                          => 'Graduate',
	'Grand Hotel'                                                       => 'Grand Hotel',
	'Gravitas One'                                                      => 'Gravitas One',
	'Great Vibes'                                                       => 'Great Vibes',
	'Griffy'                                                            => 'Griffy',
	'Gruppo'                                                            => 'Gruppo',
	'Gudea'                                                             => 'Gudea',
	'Habibi'                                                            => 'Habibi',
	'Hammersmith One'                                                   => 'Hammersmith One',
	'Hanalei'                                                           => 'Hanalei',
	'Hanalei Fill'                                                      => 'Hanalei Fill',
	'Handlee'                                                           => 'Handlee',
	'Hanuman'                                                           => 'Hanuman',
	'Happy Monkey'                                                      => 'Happy Monkey',
	'Headland One'                                                      => 'Headland One',
	'Henny Penny'                                                       => 'Henny Penny',
	'Herr Von Muellerhoff'                                              => 'Herr Von Muellerhoff',
	'Holtwood One SC'                                                   => 'Holtwood One SC',
	'Homemade Apple'                                                    => 'Homemade Apple',
	'Homenaje'                                                          => 'Homenaje',
	'IM Fell DW Pica'                                                   => 'IM Fell DW Pica',
	'IM Fell DW Pica SC'                                                => 'IM Fell DW Pica SC',
	'IM Fell Double Pica'                                               => 'IM Fell Double Pica',
	'IM Fell Double Pica SC'                                            => 'IM Fell Double Pica SC',
	'IM Fell English'                                                   => 'IM Fell English',
	'IM Fell English SC'                                                => 'IM Fell English SC',
	'IM Fell French Canon'                                              => 'IM Fell French Canon',
	'IM Fell French Canon SC'                                           => 'IM Fell French Canon SC',
	'IM Fell Great Primer'                                              => 'IM Fell Great Primer',
	'IM Fell Great Primer SC'                                           => 'IM Fell Great Primer SC',
	'Iceberg'                                                           => 'Iceberg',
	'Iceland'                                                           => 'Iceland',
	'Imprima'                                                           => 'Imprima',
	'Inconsolata'                                                       => 'Inconsolata',
	'Inder'                                                             => 'Inder',
	'Indie Flower'                                                      => 'Indie Flower',
	'Inika'                                                             => 'Inika',
	'Irish Grover'                                                      => 'Irish Grover',
	'Istok Web'                                                         => 'Istok Web',
	'Italiana'                                                          => 'Italiana',
	'Italianno'                                                         => 'Italianno',
	'Jacques Francois'                                                  => 'Jacques Francois',
	'Jacques Francois Shadow'                                           => 'Jacques Francois Shadow',
	'Jim Nightshade'                                                    => 'Jim Nightshade',
	'Jockey One'                                                        => 'Jockey One',
	'Jolly Lodger'                                                      => 'Jolly Lodger',
	'Josefin Sans'                                                      => 'Josefin Sans',
	'Josefin Slab'                                                      => 'Josefin Slab',
	'Joti One'                                                          => 'Joti One',
	'Judson'                                                            => 'Judson',
	'Julee'                                                             => 'Julee',
	'Julius Sans One'                                                   => 'Julius Sans One',
	'Junge'                                                             => 'Junge',
	'Jura'                                                              => 'Jura',
	'Just Another Hand'                                                 => 'Just Another Hand',
	'Just Me Again Down Here'                                           => 'Just Me Again Down Here',
	'Kameron'                                                           => 'Kameron',
	'Kantumruy'                                                         => 'Kantumruy',
	'Karla'                                                             => 'Karla',
	'Kaushan Script'                                                    => 'Kaushan Script',
	'Kavoon'                                                            => 'Kavoon',
	'Kdam Thmor'                                                        => 'Kdam Thmor',
	'Keania One'                                                        => 'Keania One',
	'Kelly Slab'                                                        => 'Kelly Slab',
	'Kenia'                                                             => 'Kenia',
	'Khmer'                                                             => 'Khmer',
	'Kite One'                                                          => 'Kite One',
	'Knewave'                                                           => 'Knewave',
	'Kotta One'                                                         => 'Kotta One',
	'Koulen'                                                            => 'Koulen',
	'Kranky'                                                            => 'Kranky',
	'Kreon'                                                             => 'Kreon',
	'Kristi'                                                            => 'Kristi',
	'Krona One'                                                         => 'Krona One',
	'La Belle Aurore'                                                   => 'La Belle Aurore',
	'Lancelot'                                                          => 'Lancelot',
	'Lato'                                                              => 'Lato',
	'League Script'                                                     => 'League Script',
	'Leckerli One'                                                      => 'Leckerli One',
	'Ledger'                                                            => 'Ledger',
	'Lekton'                                                            => 'Lekton',
	'Lemon'                                                             => 'Lemon',
	'Libre Baskerville'                                                 => 'Libre Baskerville',
	'Life Savers'                                                       => 'Life Savers',
	'Lilita One'                                                        => 'Lilita One',
	'Lily Script One'                                                   => 'Lily Script One',
	'Limelight'                                                         => 'Limelight',
	'Linden Hill'                                                       => 'Linden Hill',
	'Lobster'                                                           => 'Lobster',
	'Lobster Two'                                                       => 'Lobster Two',
	'Londrina Outline'                                                  => 'Londrina Outline',
	'Londrina Shadow'                                                   => 'Londrina Shadow',
	'Londrina Sketch'                                                   => 'Londrina Sketch',
	'Londrina Solid'                                                    => 'Londrina Solid',
	'Lora'                                                              => 'Lora',
	'Love Ya Like A Sister'                                             => 'Love Ya Like A Sister',
	'Loved by the King'                                                 => 'Loved by the King',
	'Lovers Quarrel'                                                    => 'Lovers Quarrel',
	'Luckiest Guy'                                                      => 'Luckiest Guy',
	'Lusitana'                                                          => 'Lusitana',
	'Lustria'                                                           => 'Lustria',
	'Macondo'                                                           => 'Macondo',
	'Macondo Swash Caps'                                                => 'Macondo Swash Caps',
	'Magra'                                                             => 'Magra',
	'Maiden Orange'                                                     => 'Maiden Orange',
	'Mako'                                                              => 'Mako',
	'Marcellus'                                                         => 'Marcellus',
	'Marcellus SC'                                                      => 'Marcellus SC',
	'Marck Script'                                                      => 'Marck Script',
	'Margarine'                                                         => 'Margarine',
	'Marko One'                                                         => 'Marko One',
	'Marmelad'                                                          => 'Marmelad',
	'Marvel'                                                            => 'Marvel',
	'Mate'                                                              => 'Mate',
	'Mate SC'                                                           => 'Mate SC',
	'Maven Pro'                                                         => 'Maven Pro',
	'McLaren'                                                           => 'McLaren',
	'Meddon'                                                            => 'Meddon',
	'MedievalSharp'                                                     => 'MedievalSharp',
	'Medula One'                                                        => 'Medula One',
	'Megrim'                                                            => 'Megrim',
	'Meie Script'                                                       => 'Meie Script',
	'Merienda'                                                          => 'Merienda',
	'Merienda One'                                                      => 'Merienda One',
	'Merriweather'                                                      => 'Merriweather',
	'Merriweather Sans'                                                 => 'Merriweather Sans',
	'Metal'                                                             => 'Metal',
	'Metal Mania'                                                       => 'Metal Mania',
	'Metamorphous'                                                      => 'Metamorphous',
	'Metrophobic'                                                       => 'Metrophobic',
	'Michroma'                                                          => 'Michroma',
	'Milonga'                                                           => 'Milonga',
	'Miltonian'                                                         => 'Miltonian',
	'Miltonian Tattoo'                                                  => 'Miltonian Tattoo',
	'Miniver'                                                           => 'Miniver',
	'Miss Fajardose'                                                    => 'Miss Fajardose',
	'Modern Antiqua'                                                    => 'Modern Antiqua',
	'Molengo'                                                           => 'Molengo',
	'Molle'                                                             => 'Molle',
	'Monda'                                                             => 'Monda',
	'Monofett'                                                          => 'Monofett',
	'Monoton'                                                           => 'Monoton',
	'Monsieur La Doulaise'                                              => 'Monsieur La Doulaise',
	'Montaga'                                                           => 'Montaga',
	'Montez'                                                            => 'Montez',
	'Montserrat'                                                        => 'Montserrat',
	'Montserrat Alternates'                                             => 'Montserrat Alternates',
	'Montserrat Subrayada'                                              => 'Montserrat Subrayada',
	'Moul'                                                              => 'Moul',
	'Moulpali'                                                          => 'Moulpali',
	'Mountains of Christmas'                                            => 'Mountains of Christmas',
	'Mouse Memoirs'                                                     => 'Mouse Memoirs',
	'Mr Bedfort'                                                        => 'Mr Bedfort',
	'Mr Dafoe'                                                          => 'Mr Dafoe',
	'Mr De Haviland'                                                    => 'Mr De Haviland',
	'Mrs Saint Delafield'                                               => 'Mrs Saint Delafield',
	'Mrs Sheppards'                                                     => 'Mrs Sheppards',
	'Muli'                                                              => 'Muli',
	'Mystery Quest'                                                     => 'Mystery Quest',
	'Neucha'                                                            => 'Neucha',
	'Neuton'                                                            => 'Neuton',
	'New Rocker'                                                        => 'New Rocker',
	'News Cycle'                                                        => 'News Cycle',
	'Niconne'                                                           => 'Niconne',
	'Nixie One'                                                         => 'Nixie One',
	'Nobile'                                                            => 'Nobile',
	'Nokora'                                                            => 'Nokora',
	'Norican'                                                           => 'Norican',
	'Nosifer'                                                           => 'Nosifer',
	'Nothing You Could Do'                                              => 'Nothing You Could Do',
	'Noticia Text'                                                      => 'Noticia Text',
	'Noto Sans'                                                         => 'Noto Sans',
	'Noto Serif'                                                        => 'Noto Serif',
	'Nova Cut'                                                          => 'Nova Cut',
	'Nova Flat'                                                         => 'Nova Flat',
	'Nova Mono'                                                         => 'Nova Mono',
	'Nova Oval'                                                         => 'Nova Oval',
	'Nova Round'                                                        => 'Nova Round',
	'Nova Script'                                                       => 'Nova Script',
	'Nova Slim'                                                         => 'Nova Slim',
	'Nova Square'                                                       => 'Nova Square',
	'Numans'                                                            => 'Numans',
	'Nunito'                                                            => 'Nunito',
	'Odor Mean Chey'                                                    => 'Odor Mean Chey',
	'Offside'                                                           => 'Offside',
	'Old Standard TT'                                                   => 'Old Standard TT',
	'Oldenburg'                                                         => 'Oldenburg',
	'Oleo Script'                                                       => 'Oleo Script',
	'Oleo Script Swash Caps'                                            => 'Oleo Script Swash Caps',
	'Open Sans'                                                         => 'Open Sans',
	'Open Sans Condensed'                                               => 'Open Sans Condensed',
	'Oranienbaum'                                                       => 'Oranienbaum',
	'Orbitron'                                                          => 'Orbitron',
	'Oregano'                                                           => 'Oregano',
	'Orienta'                                                           => 'Orienta',
	'Original Surfer'                                                   => 'Original Surfer',
	'Oswald'                                                            => 'Oswald',
	'Over the Rainbow'                                                  => 'Over the Rainbow',
	'Overlock'                                                          => 'Overlock',
	'Overlock SC'                                                       => 'Overlock SC',
	'Ovo'                                                               => 'Ovo',
	'Oxygen'                                                            => 'Oxygen',
	'Oxygen Mono'                                                       => 'Oxygen Mono',
	'PT Mono'                                                           => 'PT Mono',
	'PT Sans'                                                           => 'PT Sans',
	'PT Sans Caption'                                                   => 'PT Sans Caption',
	'PT Sans Narrow'                                                    => 'PT Sans Narrow',
	'PT Serif'                                                          => 'PT Serif',
	'PT Serif Caption'                                                  => 'PT Serif Caption',
	'Pacifico'                                                          => 'Pacifico',
	'Paprika'                                                           => 'Paprika',
	'Parisienne'                                                        => 'Parisienne',
	'Passero One'                                                       => 'Passero One',
	'Passion One'                                                       => 'Passion One',
	'Pathway Gothic One'                                                => 'Pathway Gothic One',
	'Patrick Hand'                                                      => 'Patrick Hand',
	'Patrick Hand SC'                                                   => 'Patrick Hand SC',
	'Patua One'                                                         => 'Patua One',
	'Paytone One'                                                       => 'Paytone One',
	'Peralta'                                                           => 'Peralta',
	'Permanent Marker'                                                  => 'Permanent Marker',
	'Petit Formal Script'                                               => 'Petit Formal Script',
	'Petrona'                                                           => 'Petrona',
	'Philosopher'                                                       => 'Philosopher',
	'Piedra'                                                            => 'Piedra',
	'Pinyon Script'                                                     => 'Pinyon Script',
	'Pirata One'                                                        => 'Pirata One',
	'Plaster'                                                           => 'Plaster',
	'Play'                                                              => 'Play',
	'Playball'                                                          => 'Playball',
	'Playfair Display'                                                  => 'Playfair Display',
	'Playfair Display SC'                                               => 'Playfair Display SC',
	'Podkova'                                                           => 'Podkova',
	'Poiret One'                                                        => 'Poiret One',
	'Poller One'                                                        => 'Poller One',
	'Poly'                                                              => 'Poly',
	'Pompiere'                                                          => 'Pompiere',
	'Pontano Sans'                                                      => 'Pontano Sans',
	'Port Lligat Sans'                                                  => 'Port Lligat Sans',
	'Port Lligat Slab'                                                  => 'Port Lligat Slab',
	'Prata'                                                             => 'Prata',
	'Preahvihear'                                                       => 'Preahvihear',
	'Press Start 2P'                                                    => 'Press Start 2P',
	'Princess Sofia'                                                    => 'Princess Sofia',
	'Prociono'                                                          => 'Prociono',
	'Prosto One'                                                        => 'Prosto One',
	'Puritan'                                                           => 'Puritan',
	'Purple Purse'                                                      => 'Purple Purse',
	'Quando'                                                            => 'Quando',
	'Quantico'                                                          => 'Quantico',
	'Quattrocento'                                                      => 'Quattrocento',
	'Quattrocento Sans'                                                 => 'Quattrocento Sans',
	'Questrial'                                                         => 'Questrial',
	'Quicksand'                                                         => 'Quicksand',
	'Quintessential'                                                    => 'Quintessential',
	'Qwigley'                                                           => 'Qwigley',
	'Racing Sans One'                                                   => 'Racing Sans One',
	'Radley'                                                            => 'Radley',
	'Raleway'                                                           => 'Raleway',
	'Raleway Dots'                                                      => 'Raleway Dots',
	'Rambla'                                                            => 'Rambla',
	'Rammetto One'                                                      => 'Rammetto One',
	'Ranchers'                                                          => 'Ranchers',
	'Rancho'                                                            => 'Rancho',
	'Rationale'                                                         => 'Rationale',
	'Redressed'                                                         => 'Redressed',
	'Reenie Beanie'                                                     => 'Reenie Beanie',
	'Revalia'                                                           => 'Revalia',
	'Ribeye'                                                            => 'Ribeye',
	'Ribeye Marrow'                                                     => 'Ribeye Marrow',
	'Righteous'                                                         => 'Righteous',
	'Risque'                                                            => 'Risque',
	'Roboto'                                                            => 'Roboto',
	'Roboto Condensed'                                                  => 'Roboto Condensed',
	'Roboto Slab'                                                       => 'Roboto Slab',
	'Rochester'                                                         => 'Rochester',
	'Rock Salt'                                                         => 'Rock Salt',
	'Rokkitt'                                                           => 'Rokkitt',
	'Romanesco'                                                         => 'Romanesco',
	'Ropa Sans'                                                         => 'Ropa Sans',
	'Rosario'                                                           => 'Rosario',
	'Rosarivo'                                                          => 'Rosarivo',
	'Rouge Script'                                                      => 'Rouge Script',
	'Ruda'                                                              => 'Ruda',
	'Rufina'                                                            => 'Rufina',
	'Ruge Boogie'                                                       => 'Ruge Boogie',
	'Ruluko'                                                            => 'Ruluko',
	'Rum Raisin'                                                        => 'Rum Raisin',
	'Ruslan Display'                                                    => 'Ruslan Display',
	'Russo One'                                                         => 'Russo One',
	'Ruthie'                                                            => 'Ruthie',
	'Rye'                                                               => 'Rye',
	'Sacramento'                                                        => 'Sacramento',
	'Sail'                                                              => 'Sail',
	'Salsa'                                                             => 'Salsa',
	'Sanchez'                                                           => 'Sanchez',
	'Sancreek'                                                          => 'Sancreek',
	'Sansita One'                                                       => 'Sansita One',
	'Sarina'                                                            => 'Sarina',
	'Satisfy'                                                           => 'Satisfy',
	'Scada'                                                             => 'Scada',
	'Schoolbell'                                                        => 'Schoolbell',
	'Seaweed Script'                                                    => 'Seaweed Script',
	'Sevillana'                                                         => 'Sevillana',
	'Seymour One'                                                       => 'Seymour One',
	'Shadows Into Light'                                                => 'Shadows Into Light',
	'Shadows Into Light Two'                                            => 'Shadows Into Light Two',
	'Shanti'                                                            => 'Shanti',
	'Share'                                                             => 'Share',
	'Share Tech'                                                        => 'Share Tech',
	'Share Tech Mono'                                                   => 'Share Tech Mono',
	'Shojumaru'                                                         => 'Shojumaru',
	'Short Stack'                                                       => 'Short Stack',
	'Siemreap'                                                          => 'Siemreap',
	'Sigmar One'                                                        => 'Sigmar One',
	'Signika'                                                           => 'Signika',
	'Signika Negative'                                                  => 'Signika Negative',
	'Simonetta'                                                         => 'Simonetta',
	'Sintony'                                                           => 'Sintony',
	'Sirin Stencil'                                                     => 'Sirin Stencil',
	'Six Caps'                                                          => 'Six Caps',
	'Skranji'                                                           => 'Skranji',
	'Slackey'                                                           => 'Slackey',
	'Smokum'                                                            => 'Smokum',
	'Smythe'                                                            => 'Smythe',
	'Sniglet'                                                           => 'Sniglet',
	'Snippet'                                                           => 'Snippet',
	'Snowburst One'                                                     => 'Snowburst One',
	'Sofadi One'                                                        => 'Sofadi One',
	'Sofia'                                                             => 'Sofia',
	'Sonsie One'                                                        => 'Sonsie One',
	'Sorts Mill Goudy'                                                  => 'Sorts Mill Goudy',
	'Source Code Pro'                                                   => 'Source Code Pro',
	'Source Sans Pro'                                                   => 'Source Sans Pro',
	'Special Elite'                                                     => 'Special Elite',
	'Spicy Rice'                                                        => 'Spicy Rice',
	'Spinnaker'                                                         => 'Spinnaker',
	'Spirax'                                                            => 'Spirax',
	'Squada One'                                                        => 'Squada One',
	'Stalemate'                                                         => 'Stalemate',
	'Stalinist One'                                                     => 'Stalinist One',
	'Stardos Stencil'                                                   => 'Stardos Stencil',
	'Stint Ultra Condensed'                                             => 'Stint Ultra Condensed',
	'Stint Ultra Expanded'                                              => 'Stint Ultra Expanded',
	'Stoke'                                                             => 'Stoke',
	'Strait'                                                            => 'Strait',
	'Sue Ellen Francisco'                                               => 'Sue Ellen Francisco',
	'Sunshiney'                                                         => 'Sunshiney',
	'Supermercado One'                                                  => 'Supermercado One',
	'Suwannaphum'                                                       => 'Suwannaphum',
	'Swanky and Moo Moo'                                                => 'Swanky and Moo Moo',
	'Syncopate'                                                         => 'Syncopate',
	'Tangerine'                                                         => 'Tangerine',
	'Taprom'                                                            => 'Taprom',
	'Tauri'                                                             => 'Tauri',
	'Telex'                                                             => 'Telex',
	'Tenor Sans'                                                        => 'Tenor Sans',
	'Text Me One'                                                       => 'Text Me One',
	'The Girl Next Door'                                                => 'The Girl Next Door',
	'Tienne'                                                            => 'Tienne',
	'Tinos'                                                             => 'Tinos',
	'Titan One'                                                         => 'Titan One',
	'Titillium Web'                                                     => 'Titillium Web',
	'Trade Winds'                                                       => 'Trade Winds',
	'Trocchi'                                                           => 'Trocchi',
	'Trochut'                                                           => 'Trochut',
	'Trykker'                                                           => 'Trykker',
	'Tulpen One'                                                        => 'Tulpen One',
	'Ubuntu'                                                            => 'Ubuntu',
	'Ubuntu Condensed'                                                  => 'Ubuntu Condensed',
	'Ubuntu Mono'                                                       => 'Ubuntu Mono',
	'Ultra'                                                             => 'Ultra',
	'Uncial Antiqua'                                                    => 'Uncial Antiqua',
	'Underdog'                                                          => 'Underdog',
	'Unica One'                                                         => 'Unica One',
	'UnifrakturCook'                                                    => 'UnifrakturCook',
	'UnifrakturMaguntia'                                                => 'UnifrakturMaguntia',
	'Unkempt'                                                           => 'Unkempt',
	'Unlock'                                                            => 'Unlock',
	'Unna'                                                              => 'Unna',
	'VT323'                                                             => 'VT323',
	'Vampiro One'                                                       => 'Vampiro One',
	'Varela'                                                            => 'Varela',
	'Varela Round'                                                      => 'Varela Round',
	'Vast Shadow'                                                       => 'Vast Shadow',
	'Vibur'                                                             => 'Vibur',
	'Vidaloka'                                                          => 'Vidaloka',
	'Viga'                                                              => 'Viga',
	'Voces'                                                             => 'Voces',
	'Volkhov'                                                           => 'Volkhov',
	'Vollkorn'                                                          => 'Vollkorn',
	'Voltaire'                                                          => 'Voltaire',
	'Waiting for the Sunrise'                                           => 'Waiting for the Sunrise',
	'Wallpoet'                                                          => 'Wallpoet',
	'Walter Turncoat'                                                   => 'Walter Turncoat',
	'Warnes'                                                            => 'Warnes',
	'Wellfleet'                                                         => 'Wellfleet',
	'Wendy One'                                                         => 'Wendy One',
	'Wire One'                                                          => 'Wire One',
	'Yanone Kaffeesatz'                                                 => 'Yanone Kaffeesatz',
	'Yellowtail'                                                        => 'Yellowtail',
	'Yeseva One'                                                        => 'Yeseva One',
	'Yesteryear'                                                        => 'Yesteryear',
	'Zeyada'                                                            => 'Zeyada',
);

$pootlepb_ui_i18n = array(
	'buttons'  => array(
		'insert'    => __( 'Insert', 'ppb-panels' ),
		'cancel'    => __( 'cancel', 'ppb-panels' ),
		'delete'    => __( 'Delete', 'ppb-panels' ),
		'duplicate' => __( 'Duplicate', 'ppb-panels' ),
		'style'     => __( 'Style', 'ppb-panels' ),
		'edit'      => __( 'Edit', 'ppb-panels' ),
		'done'      => __( 'Done', 'ppb-panels' ),
		'undo'      => __( 'Want to undo?', 'ppb-panels' ),
		'add'       => __( 'Add', 'ppb-panels' ),
	),
	'messages' => array(
		'deleteColumns' => __( 'Columns deleted', 'ppb-panels' ),
		'deleteWidget'  => __( 'Content deleted', 'ppb-panels' ),
		'confirmLayout' => __( 'Are you sure you want to load this layout? It will overwrite your current page.', 'ppb-panels' ),
		'editWidget'    => __( 'Edit %s Widget', 'ppb-panels' ),
		'styleWidget'   => __( 'Style Widget', 'ppb-panels' )
	),
);

$pootlepb_ui_js_deps = array(
	'jquery',
	'jquery-ui-resizable',
	'jquery-ui-sortable',
	'jquery-ui-slider',
	'jquery-ui-dialog',
	'pootlepb-ui',
	'jquery-ui-button',
	'jquery-ui-tabs',
);

$pootlepb_color_i18n = array(
	'clear'         => __( 'Clear' ),
	'defaultString' => __( 'Default' ),
	'pick'          => __( 'Select Color' ),
	'current'       => __( 'Current Color' ),
);

$pootlepb_color_deps = array(
	'jquery-ui-draggable',
	'jquery-ui-slider',
	'jquery-touch-punch'
);

$pootlepb_content_block_tabs = array(
	'editor' => array(
		'label' => 'Editor',
		'priority' => 1,
	),
	'style' => array(
		'label' => 'Style',
		'class' => 'pootle-style-fields',
		'priority' => 2,
	),
	'advanced' => array(
		'label' => 'Advanced',
		'class' => 'pootle-style-fields',
		'priority' => 3,
	),
	'editor-separator' => array(
		'priority' => 4,
	),
);

$pootlepb_row_settings_tabs = array(
	'background' => array(
		'label' => 'Background',
		'priority' => 1,
	),
	'layout' => array(
		'label' => 'Layout',
		'priority' => 2,
	),
	'advanced' => array(
		'label' => 'Advanced',
		'priority' => 10,
	),
);

$pootlepb_modules = array(
	'ninja-forms' => array(
	),
);

$ppbpro_addons_data = array(
	'wc-productbuilder' => array(
		'free'        => true,
		'Name'        => 'WooCommerce builder (Product)',
		'Description' => 'Take total control of your WooCommerce product page, requires WooCommerce builder (Shop)',
		'InstallURI'  => admin_url( "/plugin-install.php?s=Woobuilder&tab=search&type=term" ),
		'AuthorURI'   => 'https://pootlepress.com',
		'Author'      => 'pootlepress',
		'Image'       => 'https://pootlepress.github.io/pootle-page-builder/module-icons/woocommerce.jpg',
		'active_class' => 'WooBuilder',
	),
	'wc-shopbuilder'    => array(
		'img'    => 'https://pootlepress.github.io/pootle-page-builder/module-icons/woocommerce.jpg',
		'path'   => 'woocommerce',
		'plugin' => array(
			'Name'        => 'WooCommerce builder (Shop)',
			'Description' => 'pootle page builder for WooCommerce brings powerful WooCommerce features into page builder. Create stunning pages featuring your products by id, category, attribute, best-selling, top rated and on-sale, plus use pootle page builder on product pages and with WooCommerce Tab Manager.',
		),
	),
	'blog-customizer'   => array(
		'img'    => 'https://pootlepress.github.io/pootle-page-builder/module-icons/blog-customizer.jpg',
		'path'   => 'blog-customizer',
		'plugin' => array(
			'Name'        => 'pootle page builder blog customizer',
			'Description' => 'Blog customizer for pootle page builder helps you create a beautiful blog page',
		),
	),
	'page-customizer'   => array(
		'img'    => 'https://pootlepress.github.io/pootle-page-builder/module-icons/page-customizer.png',
		'path'   => 'page-customizer',
		'plugin' => array(
			'Name'        => 'Page customizer',
			'Description' => 'Page customizer adds options for individual pages. Add a fullscreen background video, change page background image and color, change header background image and color. Hide header, titles, breadcrumbs, sidebar and footer. Mobile options to change background image and color for phones and tablets.',
		),
	),
	'photography'       => array(
		'img'    => 'https://pootlepress.github.io/pootle-page-builder/module-icons/photography.jpg',
		'path'   => 'photography',
		'plugin' => array(
			'Name'        => 'Pootle page builder Photography add on',
			'Description' => 'Create stunning slideshows and galleries in minutes.',
		),
	),
	'one-pager'         => array(
		'img'    => 'https://pootlepress.github.io/pootle-page-builder/module-icons/one-pager.png',
		'path'   => 'one-pager',
		'plugin' => array(
			'Name'        => 'pootle page builder one pager',
			'Description' => 'pootle page builder one pager helps you to create beautiful one page websites with any theme.',
		),
	),
	'business-pack' => array(
		'free'        => true,
		'Name'        => 'Pootle Pagebuilder Business Pack',
		'Description' => 'Add Tabs, Accordions, Testimonials, Incrementing numbers and Google Maps easily in Pootle Pagebuilder Pro.',
		'InstallURI'  => admin_url( "/plugin-install.php?s=Pootle+Pagebuilder+Business&tab=search&type=term" ),
		'AuthorURI'   => 'https://pootlepress.com',
		'Author'      => 'pootlepress',
		'Image'       => 'https://image.flaticon.com/icons/svg/45/45696.svg',
		'active_class' => 'WooBuilder',
	),
	'pootle-cloud' => array(
		'free'        => true,
		'Name'        => 'Pootle cloud',
		'Description' => 'Pootle cloud will let you save your designs to the cloud so that you can reuse them, either on the website you are working on, or any Pootle Pagebuilder site :)',
		'InstallURI'  => admin_url( "/plugin-install.php?s=Pootle+cloud&tab=search&type=term" ),
		'AuthorURI'   => 'https://pootlepress.com',
		'Author'      => 'pootlepress',
		'Image'       => 'https://ps.w.org/pootle-cloud/assets/icon-256x256.jpg?rev=1733741',
		'active_class' => 'Pootle_Cloud',
	),
);

$pootlepb_gradient_css = array(
	''       => 'background: -webkit-linear-gradient(%1$s);background: -o-linear-gradient(%1$s);background: -moz-linear-gradient(%1$s);background: linear-gradient(to %1$s);',
	'radial' => 'background: -webkit-radial-gradient(circle,%1$s);background: -o-radial-gradient(circle,%1$s);background: -moz-radial-gradient(circle,%1$s);background: radial-gradient(circle,%1$s);',
	'slant'  => 'background: -webkit-linear-gradient(135deg,%1$s);background: -o-linear-gradient(135deg,%1$s);background: -moz-linear-gradient(135deg,%1$s);background: linear-gradient(135deg,%1$s);',

);