jQuery(function ($) {
    $('body').on({
        mouseenter: function () {
            $(this).showTooltip();
        }, mouseleave: function () {
            $(this).removeTooltip();
        }
    }, '*[data-tooltip]');
    $.fn.showTooltip = function () {
        this.each(function () {
            var $$ = $(this);
            var tooltip = $('<div class="panels-tooltip"></div>').appendTo('body').html($$.attr('data-tooltip')).append($('<div class="pointer"></div>'));
            tooltip.css({
                top: $$.offset().top - 7 - tooltip.outerHeight(),
                left: $$.offset().left - tooltip.outerWidth() / 2 + $$.outerWidth() / 2
            });
            if (panels.animations)tooltip.hide().fadeIn(100);
            $$.data('tooltip', tooltip);
        });
        return this;
    }
    $.fn.removeTooltip = function () {
        this.each(function () {
            var $$ = $(this);
            var tooltip = $$.data('tooltip');
            if (tooltip != undefined) {
                $$.data('tooltip', undefined);
                if (panels.animations) {
                    tooltip.fadeOut(100, function () {
                        tooltip.remove();
                    });
                }
                else tooltip.remove();
            }
        });
        return this;
    }
});